classification
Title: 3.6.0 doc describes 3.6.1 feature - typing.Deque
Type: Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Guy Arad, Mariatta, docs@python, levkivskyi, ncoghlan, rhettinger, tcaswell, terry.reedy
Priority: normal Keywords:

Created on 2017-02-08 12:53 by Guy Arad, last changed 2017-02-18 05:27 by ezio.melotti. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 61 closed tcaswell, 2017-02-13 05:00
PR 107 merged Mariatta, 2017-02-15 04:26
PR 108 merged Mariatta, 2017-02-15 04:33
PR 109 merged Mariatta, 2017-02-15 04:39
Messages (11)
msg287313 - (view) Author: Guy Arad (Guy Arad) Date: 2017-02-08 12:53
See:
- https://docs.python.org/3.6/library/typing.html#typing.Deque
- https://docs.python.org/3.5/library/typing.html#typing.Deque

`typing.Deque` is expected to be included in 3.6.1:
https://docs.python.org/3/whatsnew/changelog.html#python-3-6-1-release-candidate-1

Please remove or specify the version in which it's going to be included.
msg287566 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-02-10 18:22
The online docs are regenerated daily from the current repository, so the inclusion of typing.Deque in the doc is correct, given that it has been added to the module.  IDLE aside, new features in bugfix releases are limited to provisional modules, such as typing.  I believe this should get a 'New in 3.6.1' (or 3.5.?) note.

Some installations include a local frozen copy of the docs.  The frozen copy will not include the rare (and admittedly confusing) feature added for a future release.  But it will also not include the much more common corrections and clarifications added since the release.
msg287664 - (view) Author: Thomas Caswell (tcaswell) * Date: 2017-02-13 03:42
I agree this is very confusing (and in fact confused me for about an hour between getting import errors, double checking the docs, checking I was in the right env, double checking the docs, checking the source of my env, double checking the docs, checking the git source and then tracking through these too issues).
msg287730 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2017-02-14 01:26
Yes, we should put versionadded in the docs to augment the MISC/NEWS entries.

Mariatta, do you want to take a crack at the patch?  It should hit both 3.5 and 3.6 docs.
msg287816 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 04:43
Thanks, Raymond :) I prepared the pull requests for 3.5, 3.6, and master branches.

Thomas, you mentioned about needing to go over CLA with your employer in your PR.

Not sure if you have any update on that? If your CLA is approved, I can merge and cherry-pick your PR instead.
msg287817 - (view) Author: Thomas Caswell (tcaswell) * Date: 2017-02-15 05:27
I am not optimistic about the speed at which my employer will get this
sorted out.

better to just fix it and drop my commit!

On Tue, Feb 14, 2017, 23:43 Mariatta Wijaya <report@bugs.python.org> wrote:

Mariatta Wijaya added the comment:

Thanks, Raymond :) I prepared the pull requests for 3.5, 3.6, and master
branches.

Thomas, you mentioned about needing to go over CLA with your employer in
your PR.

Not sure if you have any update on that? If your CLA is approved, I can
merge and cherry-pick your PR instead.

----------
stage:  -> patch review

_______________________________________
Python tracker <report@bugs.python.org>
<http://bugs.python.org/issue29481>
_______________________________________
msg287818 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 05:38
Thanks, Thomas :) I'll let you close your own PR on GitHub.
msg287883 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 19:37
New changeset 36da1c3589e1bc4246cccf6bd0094a110416a43a by GitHub in branch 'master':
bpo-29481: add versionadded 3.6.1 to typing.Deque docs (#107)
https://github.com/python/cpython/commit/36da1c3589e1bc4246cccf6bd0094a110416a43a
msg287884 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 19:38
New changeset 7224a049b88ed37c510861528147e0db54911bb7 by GitHub in branch '3.6':
bpo-29481: add versionadded 3.6.1 to typing.Deque docs (#108)
https://github.com/python/cpython/commit/7224a049b88ed37c510861528147e0db54911bb7
msg287885 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 19:39
New changeset bb53a27a5d56a4f33c3fc8eebb486b34808c92b7 by GitHub in branch '3.5':
[cherry-pick for 3.5] bpo-29481: add versionadded 3.5.4 to typing.Deque docs (#109)
https://github.com/python/cpython/commit/bb53a27a5d56a4f33c3fc8eebb486b34808c92b7
msg287886 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-15 19:41
Merged and backported to 3.5 and 3.6.

Thanks all :)
History
Date User Action Args
2017-02-18 05:27:15ezio.melottisetmessages: - msg288060
2017-02-18 05:13:18ncoghlansetnosy: + ncoghlan
messages: + msg288060
2017-02-15 19:41:12Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg287886

stage: patch review -> resolved
2017-02-15 19:39:40Mariattasetmessages: + msg287885
2017-02-15 19:38:50Mariattasetmessages: + msg287884
2017-02-15 19:37:20Mariattasetmessages: + msg287883
2017-02-15 05:38:13Mariattasetmessages: + msg287818
2017-02-15 05:27:58tcaswellsetmessages: + msg287817
2017-02-15 04:43:54Mariattasetmessages: + msg287816
stage: patch review
2017-02-15 04:39:38Mariattasetpull_requests: + pull_request72
2017-02-15 04:33:58Mariattasetpull_requests: + pull_request71
2017-02-15 04:26:28Mariattasetpull_requests: + pull_request70
2017-02-14 01:26:07rhettingersetnosy: + Mariatta
messages: + msg287730
2017-02-13 05:00:09tcaswellsetpull_requests: + pull_request50
2017-02-13 03:42:21tcaswellsetnosy: + tcaswell
messages: + msg287664
2017-02-10 18:22:09terry.reedysetnosy: + terry.reedy
messages: + msg287566
2017-02-10 17:35:55levkivskyisetnosy: + levkivskyi
2017-02-08 14:02:40rhettingersetassignee: docs@python -> rhettinger

nosy: + rhettinger
2017-02-08 12:53:06Guy Aradcreate